Package org.silverpeas.mobile.shared.dto.navigation

## Class SpaceDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.navigation.SilverpeasObjectDTO
  - - org.silverpeas.mobile.shared.dto.navigation.SpaceDTO

- All Implemented Interfaces:
    `Serializable`, `Comparable<SilverpeasObjectDTO>`

      public class SpaceDTO
      extends SilverpeasObjectDTO
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpaceDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(SilverpeasObjectDTO o)` |
    `String` | `getHomePageParameter()` |
    `int` | `getHomePageType()` |
    `boolean` | `isPersonal()` |
    `void` | `setHomePageParameter​(String homePageParameter)` |
    `void` | `setHomePageType​(int homePageType)` |
    `void` | `setPersonal​(boolean personal)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.navigation.SilverpeasObjectDTO

      `getId, getLabel, getOrderNum, setId, setLabel, setOrderNum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpaceDTO

          public SpaceDTO()

  - ### Method Detail

    - #### getHomePageType

          public int getHomePageType()

    - #### setHomePageType

          public void setHomePageType​(int homePageType)

    - #### getHomePageParameter

          public String getHomePageParameter()

    - #### setHomePageParameter

          public void setHomePageParameter​(String homePageParameter)

    - #### isPersonal

          public boolean isPersonal()

    - #### setPersonal

          public void setPersonal​(boolean personal)

    - #### compareTo

          public int compareTo​(SilverpeasObjectDTO o)

      Specified by:
        `compareTo` in interface `Comparable<SilverpeasObjectDTO>`
      Overrides:
        `compareTo` in class `SilverpeasObjectDTO`